View Issue Details

IDProjectCategoryView StatusLast Update
0027531Open CASCADEOCCT:Modeling Algorithmspublic2020-12-02 17:11
Reporteraml Assigned Tobugmaster  
PrioritylowSeverityminor 
Status closedResolutionfixed 
Product Version7.0.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0027531: Modeling Algorithms - Make the algorithm Approx_SameParameter more clear and robust
Description1) Same parameter algorithm logic can be improved using projection algorithm in case when interpolation is failed.

2) Interpolation part depends on magic numbers like "250.0 or 1000", incorrect usage of infinite loop protection, different names for the same array in memory (to use in different API), two types of poles increasing in this loop.

It is proposed to improve this algorithm to simplify it and make more predictable.

This fix will decrease tolerance of result in 0027015.
Steps To Reproducebugs modalg_6 bug27015.
TagsNo tags attached.
Test case numberbugs modalg_6 bug27531

Attached Files

  • bug27531.brep (260,756 bytes)

Relationships

related to 0027015 closedbugmaster Community Sewing returns invalid shape if some faces are nearly plane cones 
parent of 0027650 closedbugmaster Open CASCADE Bad result in test "blend simple H4" 
parent of 0027651 assignedifv Open CASCADE Modeling Algorithms - Add projection support in sewing pcurves handling 
related to 0023127 newjgv Open CASCADE Fix tests produce incorrect results. 
Not all the children of this issue are yet resolved or closed.

Activities

git

2016-06-01 10:24

administrator   ~0054588

Branch CR27531 has been updated by aml.

SHA-1: 17c72453c9a91caab20b3ccedd9f5026bc8e21bf


Detailed log of new commits:

Author: aml
Date: Wed Jun 1 09:17:40 2016 +0300

    Refactoring of the last part of the Build method.

Author: aml
Date: Wed Jun 1 08:32:24 2016 +0300

    Code simplification.

git

2016-06-01 15:20

administrator   ~0054601

Branch CR27531 has been updated by aml.

SHA-1: 229bcf97584e6ff4cc7ef2d0f44dc562c3e501ca


Detailed log of new commits:

Author: aml
Date: Wed Jun 1 10:57:05 2016 +0300

    Internal data structure is added. Partial migration on it.

git

2016-06-03 14:15

administrator   ~0054685

Branch CR27531 has been updated forcibly by aml.

SHA-1: 9ca986254f760f04f540a64f29074a1684f35b7e

git

2016-06-08 10:27

administrator   ~0054783

Branch CR27531_2 has been created by aml.

SHA-1: 4dca037cf0d02211007ae2920075649e24810a07


Detailed log of new commits:

Author: aml
Date: Thu Jun 2 15:13:46 2016 +0300

    logic simplification.

Author: aml
Date: Thu Jun 2 14:42:21 2016 +0300

    Method to increase number of poles is added.

Author: aml
Date: Thu Jun 2 12:07:35 2016 +0300

    Code simplification.

Author: aml
Date: Thu Jun 2 11:58:35 2016 +0300

    Minor correction.

Author: aml
Date: Thu Jun 2 11:18:22 2016 +0300

    Method to interpolate data is added.

Author: aml
Date: Thu Jun 2 10:36:39 2016 +0300

    Unused formal parameter is deleted.

Author: aml
Date: Thu Jun 2 10:10:49 2016 +0300

    "Swap" method is added. Code simplification.

Author: aml
Date: Wed Jun 1 10:57:05 2016 +0300

    Internal data structure is added. Partial migration on it.

Author: aml
Date: Wed Jun 1 09:17:40 2016 +0300

    Refactoring of the last part of the Build method.

Author: aml
Date: Wed Jun 1 08:32:24 2016 +0300

    Code simplification.

Author: aml
Date: Tue May 31 14:46:34 2016 +0300

    Commentary about general algorithm workflow is added.

Author: aml
Date: Tue May 31 14:36:15 2016 +0300

    Check same parameter state is extracted into special method.

Author: aml
Date: Tue May 31 11:36:46 2016 +0300

    Tuning number of samples in case of C0 Continuity is extracted into special method.

Author: aml
Date: Tue May 31 10:52:07 2016 +0300

    0027531: Make the algorithm Approx_SameParameter more clear and robust
    
    Tangent computation is extracted into special method.

git

2016-06-10 11:32

administrator   ~0054879

Branch CR27531_2 has been updated by aml.

SHA-1: adab22e07cd7cad89d13c71534137772453947a6


Detailed log of new commits:

Author: aml
Date: Fri Jun 10 10:19:56 2016 +0300

    Test cases correction.

Author: aml
Date: Fri Jun 10 08:30:21 2016 +0300

    Function cap correction.
    Refactoring.

aml

2016-06-10 13:24

developer  

bug27531.brep (260,756 bytes)

git

2016-06-10 14:31

administrator   ~0054900

Branch CR27531_2 has been updated forcibly by aml.

SHA-1: 72d9e7f0420b4a961587664294ad3997525f95be

git

2016-06-15 15:54

administrator   ~0055032

Branch CR27531_2 has been updated forcibly by aml.

SHA-1: 5349e493247ddf95d3bcd178f020daab3c3465e7

git

2016-06-27 14:29

administrator   ~0055493

Branch CR27531_2 has been updated forcibly by aml.

SHA-1: c174121a80e9ab8e6c1f601a1df9f7888a0f14c8

git

2016-06-28 10:53

administrator   ~0055525

Branch CR27531_1 has been created by aml.

SHA-1: a31f2e9c145302d29ea73723de9ead4992871187


Detailed log of new commits:

Author: aml
Date: Tue Jun 28 08:24:22 2016 +0300

    Test cases correction.

Author: aml
Date: Mon Jun 27 14:48:25 2016 +0300

    Minor corrections.

Author: aml
Date: Mon Jun 27 14:45:49 2016 +0300

    Upgrade guide is updated.

git

2016-06-28 11:03

administrator   ~0055527

Branch CR27531_2 has been updated forcibly by aml.

SHA-1: 1b5b6e8b888222d9d8cac469e42420e0d35f33cc

git

2016-06-28 11:05

administrator   ~0055528

Branch CR27531 has been deleted by aml.

SHA-1: 9ca986254f760f04f540a64f29074a1684f35b7e

aml

2016-06-28 11:24

developer   ~0055530

Projection algorithm is not added to the same parameter since:
1) It contradicts with same parameter nature which is "reparameterization" but not "projection".
2) Same parameter is not good place for projection adding by flag - necessary to add support of such flag in BRepLib.
3) Big amount of regressions in prototype with projection.

Regressions:
1) Special issues are added for cases "blend simple H4" and "bugs modalg_6 bug27531".
2) TODO statements are changed for cases "offset with_intersect_80 M1" and "offset with_intersect_80 M1".
3) Other cases are updated to the new behaviour.


Dear msv,
Please check current state of CR27531_1 (CR27531_2) branch in OCCT repository and CR27531_2 branch in products repository. The branch CR27531_2 contains the same fix as CR27531_1 squashed into singe commit.


Dear Bugmaster,
Please use branches CR27531_2 from OCCT and products repositories for the testing.

msv

2016-06-28 19:41

developer   ~0055558

src\Approx\Approx_SameParameter.hxx

- Make the constant field myDeltaMin static. For that initialize it separately in cxx file.
- 105: "Fast" => "First"

git

2016-06-29 07:31

administrator   ~0055562

Branch CR27531_1 has been updated by aml.

SHA-1: 7069255a26ada887f43e4e293f42c3af0f95c1e5


Detailed log of new commits:

Author: aml
Date: Wed Jun 29 07:31:09 2016 +0300

    Remarks correction.

git

2016-06-29 07:39

administrator   ~0055563

Branch CR27531_2 has been updated forcibly by aml.

SHA-1: f9ea043e782d5a952c486b3e1df2960325925cbe

aml

2016-06-29 07:43

developer   ~0055565

Dear msv,
Please check current state of CR27531_1 (CR27531_2) branch in OCCT repository and CR27531_2 branch in products repository. The branch CR27531_2 contains the same fix as CR27531_1 squashed into singe commit.


Dear Bugmaster,
Please use branches CR27531_2 from OCCT and products repositories for the testing.

msv

2016-06-29 09:58

developer   ~0055567

Reviewed.
Please test but postpone integration till resolution of regressions 0027650 and 0027651.

mkv

2016-06-29 19:51

tester   ~0055593

Dear BugMaster,
Branch CR27531_2 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f9ea043e782d5a952c486b3e1df2960325925cbe
SHA-1: 17a6a6616c3af6d8c37bd5612cee92c5a0aa20dd

Number of compiler warnings:

occt component :
Linux: 1 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1137

There is new additional compilation warning on Linux platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27531_2-CR27531_2-OCCT-Debian70-64-opt-compile/1/warnings17Result/
Approx_SameParameter.cxx:634, GNU C Compiler 4 (gcc), Priority: Normal
variable 'aDistMin' set but not used [-Wunused-but-set-variable]

Regressions/Differences/Improvements:
http://occt-tests/CR27531_2-CR27531_2-OCCT/Debian70-64/blend/simple/H4.html
http://occt-tests/CR27531_2-CR27531_2-OCCT/Windows-64-VC10/blend/simple/H4.html
blend simple H4: FAILED

Testing cases:
http://occt-tests/CR27531_2-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_2-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html
bugs modalg_6 bug27531: BAD (known problem)

Testing on Linux:
occt component :
Total MEMORY difference: 88520652 / 88674703 [-0.17%]
Total CPU difference: 19388.319999999887 / 19557.569999999916 [-0.87%]
products component :
Total MEMORY difference: 27358448 / 27381089 [-0.08%]
Total CPU difference: 5175.69999999999 / 5181.219999999986 [-0.11%]

Testing on Windows:
occt component :
Total MEMORY difference: 55890424 / 55887389 [+0.01%]
Total CPU difference: 18581.715912798776 / 17840.04035849868 [+4.16%]
products component :
Total MEMORY difference: 18614941 / 18577733 [+0.20%]
Total CPU difference: 5102.168705999953 / 4930.286804199938 [+3.49%]

There are following differences in images found by testdiff.
http://occt-tests/CR27531_2-CR27531_2-OCCT/Debian70-64/diff-Debian70-64.html
http://occt-tests/CR27531_2-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10.html
IMAGE sewing tol_100 D3: D3.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 I6: I6.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 I5: I5.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE bugs modalg_6 bug26288: bug26288.png differs

mkv

2016-06-29 19:52

tester   ~0055594

Dear aml,
Branch CR27531_2 has been rejected due to:
- additional warnings
- regressions/differences/improvements
- differences in images

git

2016-06-30 07:03

administrator   ~0055597

Branch CR27531_2 has been updated by aml.

SHA-1: b63d3e4c1b16a00e87932c1e47081e16c63ce3eb


Detailed log of new commits:

Author: aml
Date: Thu Jun 30 07:02:52 2016 +0300

    Minor correction.

aml

2016-06-30 07:08

developer   ~0055598

Last edited: 2016-06-30 07:09

Dear msv,
Please check current state of the CR27531_2 branch from OCCT and Products repositories.

Dear mkv,
blend simple H4 - I've added missing TODO statement. Now this test should be in the "BAD" state.
Differences in images are OK.

msv

2016-06-30 10:12

developer   ~0055600

Reviewed.
Please check only warnings and failed case blend simple H4.
Reminder: postpone integration till resolution of regressions 0027650 and 0027651.

mkv

2016-06-30 17:16

tester   ~0055617

Dear BugMaster,
Branch CR27531_2 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: b63d3e4c1b16a00e87932c1e47081e16c63ce3eb
SHA-1: 17a6a6616c3af6d8c37bd5612cee92c5a0aa20dd

Number of compiler warnings:

occt component :
Linux: 1 (0 on master)
Windows: 1 (0 on master)
MacOS : 1 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1137

There is new additional compilation warning on Linux platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27531_2-CR27531_2-OCCT-Debian70-64-opt-compile/1/warnings17Result/
Approx_SameParameter.cxx:665, GNU C Compiler 4 (gcc), Priority: Normal
unused variable 'ap1' [-Wunused-variable]

There is new additional compilation warning on Windows platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27531_2-CR27531_2-OCCT-Windows-64-VC10-opt-compile/1/warnings34Result/
Approx_SameParameter.cxx:665, MSBuild, Priority: Normal
'ap1' : local variable is initialized but not referenced

There is new additional compilation warning on MacOS platform:
http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27531_2-CR27531_2-OCCT-MacOS-opt-compile/1/warnings7Result/
Approx_SameParameter.cxx:665, Clang (LLVM based), Priority: Normal
unused variable 'ap1'

Regressions/Differences/Improvements:
No regressions/differences

mkv

2016-06-30 17:17

tester   ~0055618

Dear aml,
Branch CR27531_2 has been rejected due to:
- additional warnings

git

2016-11-18 11:07

administrator   ~0060512

Branch CR27531_27650_27651 has been created by ifv.

SHA-1: 5062bf98399025736ac5670617e6e7d03dbb3d55


Detailed log of new commits:

Author: aml
Date: Tue May 31 10:52:07 2016 +0300

    0027531_0027650_0027651: Make the algorithm Approx_SameParameter more clear and robust
    
    Commit for 0027531
    
    Class Approx_SameParameter refactoring. Logic is changed in many places to unify usage, simplify maintenance.
    Method Curve2d() is changed to return Geom2d_Curve instead of Geom2d_BSplineCurve. Corresponding message is added to the upgrade guide.
    .lxx file is merged into .hxx.
    
    Commit for 0027650: Fix for regression blend simple H4
    
    Comparing number of sample points after CheckSameParameter(...) is added to define cases with projection fails.
    
    Commit for 0027651
    
    Preliminary analysis of "sameparameter" error is added for edge. If error is large, "bad" pcurve is replaced by projected curve.
    
    Test cases are updated.

ifv

2016-11-18 11:13

developer   ~0060515

Branch CR27831_27650_27651 is ready for review and tests.
This branch fixes 0027650 and 0027651 too

abv

2016-11-18 11:28

manager   ~0060517

Change in tests\offset\with_intersect_80\M6 apparently hides regression (crash)

msv

2016-11-18 15:46

developer   ~0060539

src/Approx/Approx_SameParameter.cxx
- The variable aDistMin at line 647 is not used.

src/Approx/Approx_SameParameter.hxx
- Incorrect comment modification at line 105.

src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx
- There is a lack comments describing the added functionality.
- It is better to create special enum with well-named items for return value of CheckBndStatus() function.

src/Geom2dAdaptor/Geom2dAdaptor.cxx
- At 95: use dynamic_cast instead of direct static casting.

dox/dev_guides/upgrade/upgrade.md
- The change must be moved to the section regarding version 7.2.

tests\offset\with_intersect_80\M6
- Please explain why do you accept exception in this test.

git

2016-11-23 10:37

administrator   ~0060705

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 7f08dd4a4dde195dcbd991f88c75dad1b825410f

ifv

2016-11-23 10:42

developer   ~0060706

Branch CR27531_27650_27651 is updated according to remark and ready for review and test

msv

2016-11-23 16:42

developer   ~0060735

- In Geom2dAdaptor.cxx, extra const_cast:
      Adaptor2d_Curve2d* pHC = const_cast<Adaptor2d_Curve2d*>(&HC);
      const Geom2dAdaptor_Curve* pGAC = dynamic_cast<Geom2dAdaptor_Curve*>(pHC);
simpler code:
      const Geom2dAdaptor_Curve* pGAC = dynamic_cast<const Geom2dAdaptor_Curve*>(&HC);

The changes in BRepLib.cxx and BRepOffset_Inter2d.cxx need discussion.

git

2016-11-25 11:22

administrator   ~0060771

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: c2693fe3747b98533c9cfd4a628418d1f850dc72

ifv

2016-11-25 11:26

developer   ~0060772

Branch CR27531_27650_27651 is updated and ready for review

msv

2016-11-25 15:28

developer   ~0060777

Reviewed.

git

2016-11-25 17:46

administrator   ~0060783

Branch CR27531_27650_27651 has been updated forcibly by mkv.

SHA-1: 9280ed2619f57de1ea4a3bcc839f6c6414ed0127

mkv

2016-11-28 17:04

tester   ~0060819

Dear BugMaster,
Branch CR27531_27650_27651 was rebased on current master of occt git-repository.
SHA-1: 9280ed2619f57de1ea4a3bcc839f6c6414ed0127
Branch CR27531_2 was rebased on current master of products git-repository.
SHA-1: da6abddee89d48b30ddfc5c6fb4f8f861497e416

mkv

2016-11-28 17:05

tester   ~0060820

Dear BugMaster,
Branch CR27531_27650_27651 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9280ed2619f57de1ea4a3bcc839f6c6414ed0127
SHA-1: da6abddee89d48b30ddfc5c6fb4f8f861497e416

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1133

Regressions/Differences/Improvements:
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/gdt/presentation/A5.html
gdt presentation A5: IMPROVEMENT

http://occt-tests/CR27531_0_1-CR27531_2-Products/Debian70-64/summary.html
http://occt-tests/CR27531_0_1-CR27531_2-Products/Windows-64-VC10/summary.html
Failed:
  sat read B9
  sat read_parallel_1 B9

Testing cases:
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
bugs modalg_6 bug27531: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91982786 / 91845276 [+0.15%]
Total CPU difference: 21834.8000000002 / 21684.49000000021 [+0.69%]
products component :
Total MEMORY difference: 29971063 / 29898526 [+0.24%]
Total CPU difference: 5312.379999999974 / 5287.509999999979 [+0.47%]

Testing on Windows:
occt component :
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html
CPU bugs modalg_2 bug22770_15: 23.712152 / 4.3992282 [+439.01%]
CPU bugs modalg_2 bug22770_28: 8.3772537 / 5.1948333 [+61.26%]
CPU bugs modalg_2 bug22770_8: 12.2304784 / 5.3196341 [+129.91%]
CPU bugs modalg_2 bug22770_30: 8.3928538 / 5.1948333 [+61.56%]
CPU bugs modalg_2 bug22770_11: 12.1524779 / 5.2416336 [+131.85%]
CPU bugs modalg_2 bug22770_9: 11.8092757 / 5.3196341 [+121.99%]
CPU bugs modalg_2 bug22770_13: 23.556151 / 4.2276271 [+457.20%]
CPU bugs modalg_2 bug22770_12: 16.9729088 / 3.9312252 [+331.75%]
CPU bugs modalg_2 bug22770_24: 8.5176546 / 5.2728338 [+61.54%]
CPU bugs modalg_2 bug22770_27: 8.3148533 / 5.0388323 [+65.02%]
CPU bugs modalg_2 bug22770_26: 8.5020545 / 5.4756351 [+55.27%]
CPU bugs modalg_2 bug453_2: 1.5756101 / 0.8580055 [+83.64%]
CPU bugs modalg_2 bug22770_25: 8.5176546 / 5.1792332 [+64.46%]
CPU bugs modalg_2 bug22770_23: 8.3928538 / 5.1636331 [+62.54%]
CPU bugs modalg_2 bug22770_10: 10.4208668 / 3.8688248 [+169.35%]
CPU bugs modalg_2: 171.44509900000003 / 69.68564669999999 [+146.03%]

Total MEMORY difference: 56931207 / 56927644 [+0.01%]
Total CPU difference: 20356.773291298647 / 19742.815755698448 [+3.11%]

products component :
Total MEMORY difference: 20843930 / 20807990 [+0.17%]
Total CPU difference: 5301.085581099964 / 5163.945101999975 [+2.66%]

There are following differences in images found by testdiff.
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/diff-Debian70-64.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
IMAGE chamfer dist_angle_sequence B3: B3.png differs
IMAGE sewing tol_100 J3: J3.png differs
IMAGE sewing tol_100 D3: D3.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 I6: I6.png differs
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 I5: I5.png differs
IMAGE sewing tol_100 J4: J4.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE bugs modalg_6 bug26288: bug26288.png differs

mkv

2016-11-28 17:05

tester   ~0060821

Dear ifv,
Branch CR27531_27650_27651 has been rejected due to:
- regressions/differences/improvements
- CPU problems
- differences in images

git

2016-12-15 13:15

administrator   ~0061694

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 9b224c34fbaaf89cc13374df8c97982f64e9f08c

ifv

2016-12-15 13:24

developer   ~0061696

Branch CR27531_27650_27651 is updated to fix
sat read B9 and performance problems
Differences in images correspond current state of Approx_SameParameter, BRepOffset and BRepBuilderAPI_Sewing algorithms.

git

2016-12-16 15:59

administrator   ~0061741

Branch CR27531_27650_27651 has been updated forcibly by msv.

SHA-1: 14b44c9e6f8321e8ab3374b2e6c57f07dc15b203

msv

2016-12-16 16:01

developer   ~0061742

Reviewed with a minor correction (added comment explaining why try/catch has been added).

git

2016-12-16 17:49

administrator   ~0061759

Branch CR27531_27650_27651 has been updated forcibly by msv.

SHA-1: 6dbe07abb736c78417f2e878fd0cc5b930a8bd73

msv

2016-12-16 17:50

developer   ~0061760

Rebased on current master.

mkv

2016-12-20 16:04

tester   ~0061922

Dear BugMaster,
Branch CR27531_2 was rebased on current master of products git-repository.
SHA-1: e7058f3b7f9159e0f28fae459c4f239971a9a76a

mkv

2016-12-20 16:04

tester   ~0061923

Dear BugMaster,
Branch CR27531_27650_27651 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 6dbe07abb736c78417f2e878fd0cc5b930a8bd73
SHA-1: e7058f3b7f9159e0f28fae459c4f239971a9a76a

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1148

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
bugs modalg_6 bug27531: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91938737 / 92886692 [-1.02%]
Total CPU difference: 21674.770000000215 / 21638.59000000027 [+0.17%]
products component :
Total MEMORY difference: 30089418 / 30067682 [+0.07%]
Total CPU difference: 5307.679999999967 / 5288.109999999972 [+0.37%]

Testing on Windows:
occt component :
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html
CPU bugs modalg_2 bug22770_28: 8.4708543 / 5.3196341 [+59.24%]
CPU bugs modalg_2 bug22770_8: 12.1368778 / 5.2884339 [+129.50%]
CPU bugs modalg_2 bug22770_30: 8.3772537 / 5.460035 [+53.43%]
CPU bugs modalg_2 bug22770_11: 12.1056776 / 5.3352342 [+126.90%]
CPU bugs modalg_2 bug22770_9: 11.7780755 / 5.2728338 [+123.37%]
CPU bugs modalg_2 bug22770_24: 8.580055 / 5.2104334 [+64.67%]
CPU bugs modalg_2 bug22770_27: 8.1900525 / 5.148033 [+59.09%]
CPU bugs modalg_2 bug22770_26: 8.5956551 / 5.3196341 [+61.58%]
CPU bugs modalg_2 bug453_2: 1.5756101 / 0.8892057 [+77.19%]
CPU bugs modalg_2 bug22770_25: 8.5488548 / 5.2260335 [+63.58%]
CPU bugs modalg_2 bug22770_23: 8.3928538 / 5.2884339 [+58.70%]
CPU bugs modalg_2 bug22770_10: 10.3896666 / 3.7284239 [+178.66%]
CPU bugs modalg_2: 107.14148680000001 / 57.486368500000005 [+86.38%]

Total MEMORY difference: 58523308 / 58518712 [+0.01%]
Total CPU difference: 19972.776829798542 / 19818.897443398673 [+0.78%]
products component :
Total MEMORY difference: 20897261 / 20861060 [+0.17%]
Total CPU difference: 5328.432556399985 / 5204.302560699983 [+2.39%]

There are following differences in images found by testdiff.
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/diff-Debian70-64.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
IMAGE chamfer dist_angle_sequence B3: B3.png differs
IMAGE sewing tol_0_01 F8: F8.png differs
IMAGE sewing tol_100 J3: J3.png differs
IMAGE sewing tol_100 D3: D3.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 I6: I6.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 I5: I5.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE bugs modalg_6 bug26288: bug26288.png differs

mkv

2016-12-20 16:06

tester   ~0061924

Last edited: 2016-12-20 16:07

Dear ifv,
Branch CR27531_27650_27651 has been rejected due to:
- CPU problems

git

2016-12-28 14:52

administrator   ~0062252

Branch CR27531_27650_27651 has been updated by ifv.

SHA-1: 631f15e7e49c37815c3f54d74089c1aff92e3984


Detailed log of new commits:

Author: aml
Date: Tue May 31 10:52:07 2016 +0300

    0027531_0027650_0027651: Make the algorithm Approx_SameParameter more clear and robust
    
    Commit for 0027531
    
    Class Approx_SameParameter refactoring. Logic is changed in many places to unify usage, simplify maintenance.
    Method Curve2d() is changed to return Geom2d_Curve instead of Geom2d_BSplineCurve. Corresponding message is added to the upgrade guide.
    .lxx file is merged into .hxx.
    
    Commit for 0027650: Fix for regression blend simple H4
    
    Comparing number of sample points after CheckSameParameter(...) is added to define cases with projection fails.
    
    Commit for 0027651
    
    Preliminary analysis of "sameparameter" error is added for edge. If error is large, "bad" pcurve is replaced by projected curve.
    
    Catching of exception in method BRep_Tool::Parameter is added in method BRepOffset_Inter2d::FuseVertices.
    Test cases are updated.

Author: apn
Date: Fri Dec 23 10:10:55 2016 +0300

    Warnings on vc14 were eliminated

Author: isk
Date: Thu Dec 22 12:53:46 2016 +0300

    0028244: Visualization - AIS_AngleDimension throws exception for 180 degree
    
    Small correction of test case for issue CR28244

Author: ika
Date: Tue Dec 20 13:25:02 2016 +0300

    0028250: Data Exchange - Wrong number of geometric tolerance modifiers.
    
    fix some copy paste mistakes,
    update test cases.

Author: kgv
Date: Sun Dec 18 10:18:55 2016 +0300

    0028232: Visualization, StdPrs_ShadedShape - create WireFrame presentation for sole Vertex / Edge / Wire

Author: kgv
Date: Thu Dec 22 12:48:16 2016 +0300

    0028180: Visualization, TKOpenGl - Performance of Shaded presentation dropped due to FFP disabled by default
    
    FFP state management (light sources, matrices, clipping planes) has been
    moved to OpenGl_ShaderManager for consistency with Programmable Pipeline.
    
    OpenGl_Context::BindProgram() does not re-bind already active Program.
    OpenGl_PrimitiveArray::Render() does not reset active Program at the end.
    
    OpenGl_Context::ApplyModelViewMatrix() now checks if matrix differs
    from already set one before modifying state in Shader Manager.
    This allows avoing redundant state changes, matrix uploads onto GPU
    and re-computation of inversed matrices.
    
    NCollection_Mat4 has been extended with equality check operators for proper comparison.
    
    OpenGl_ShaderManager - the tracking Material state has been added.
    Removed unreachable states OPENGL_NS_RESMAT, OPENGL_NS_TEXTURE and OPENGL_NS_WHITEBACK.
    
    Fixed resetting FFP material state after displaying GL_COLOR_ARRAY vertices;
    the Material state within Shader Manager is now
    invalidated within OpenGl_VertexBuffer::unbindFixedColor().
    
    OpenGl_Workspace::ApplyAspectFace() - fixed invalidating Material State
    when only Highlighting style is changing.

Author: isk
Date: Fri Dec 9 13:50:40 2016 +0300

    0028205: Visualization - add functionality for dumping results of detection algorithms into image
    
    StdSelect_ViewerSelector3d::ToPixMap() - added new method for dumping
    detection results into an image.

Author: dbp
Date: Mon Dec 19 14:00:09 2016 +0300

    0028241: Visualization, Path tracing - shader compilation error on Radeon 290

Author: msv
Date: Thu Dec 22 12:43:48 2016 +0300

    0028221: General Fuse operation error
    
    The method BOPTools_AlgoTools2D::AttachExistingPCurve has been corrected so that
    to call BRepLib::SameParameter not on the target edge with the whole set of pcurves,
    but rather on a temporary edge with 3D curve and copied pcurve only.
    After that the updated pcurve is transferred to the target edge.
    
    Small correction of test case for issue CR28221

Author: abv
Date: Sun Dec 18 09:21:54 2016 +0300

    0028240: Avoid redundant search for span index in evaluation of BSpline cache

Author: ski
Date: Thu Dec 22 12:40:55 2016 +0300

    0028204: TopoTools_ShapeSet::Dump() does not show flag Locked
    
    Corrected command dump to show flag Locked for shapes in DRAW.
    Test case for issue CR28204
    Updated test case.

Author: kgv
Date: Thu Dec 22 12:39:13 2016 +0300

    0028004: Visualization, AIS_ColorScale - allow defining labels list not equal to intervals list
    
    Cosmetics, code clean up.
    
    AIS_ColorScale now draw labels using Graphic3d_VTA_CENTER
    vertical alignment flag, instead of incorrect own alignment logic.
    The color bar now adds margin on the top simmetrical to the bottom.
    
    AIS_ColorScale::SetSmoothTransition() - added new property
    for displaying colorscale with smooth transition between color intervals.
    
    AIS_ColorScale::SetHueRange() - added new property defining the hue angles
    corresponding to minimal and maximum values on the color scale.
    
    AIS_ColorScale::SetLabels() now allows setting the sequence of free labels,
    which number does not match the number of intervals.
    In this case the labels will be displayed at positions of virtual
    intervals corresponding to the number of labels.

Author: msv
Date: Wed Dec 14 10:09:38 2016 +0300

    0028183: Modeling - BRepExtrema_DistShapeShape does not find all solutions
    
    Disable SetSingleSolutionFlag when calling algorithm of curve-curve Extrema.
    Now DistShapeShape will find all solutions, even if they are located on the same pair of edges.
    The fix brings the speed down for the cases of coinciding curves.

Author: msv
Date: Fri Dec 16 17:13:07 2016 +0300

    0028233: lvarpop is needed for correct work of lmatch defined in StandardCommands.tcl
    
    The proc lvarpop has been implemented.

git

2016-12-28 15:05

administrator   ~0062254

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 1334c3c7b52ea4fcbb0c5383af11fff2f017ed53

git

2016-12-28 15:08

administrator   ~0062255

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: c40316c9b48b6c428c1ea4aed19bb812c6f9b49e

git

2016-12-28 16:30

administrator   ~0062266

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: ac10e398c3eabe73d48b7382a7652c3b00f37604

git

2016-12-30 09:02

administrator   ~0062350

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: f86dd0c72dbeecb31f813bcf55620b7bb6fe069c

ifv

2016-12-30 09:07

developer   ~0062351

Branch CR27531_27650_27651 is updated

msv

2016-12-30 11:18

developer   ~0062357

src\RWStepBasic\RWStepBasic_RWPerson.cxx
- Do not create arrays if nb of items is zero. Instead set corresponding flag to false.

git

2016-12-30 11:42

administrator   ~0062360

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 502237f15c0a5053c36f276b6b65e1206489ffa2

ifv

2016-12-30 11:42

developer   ~0062362

Branch is updated according to remarks

msv

2016-12-30 12:41

developer   ~0062364

src\RWStepBasic\RWStepBasic_RWPerson.cxx
It's better to simplify the code, initializing the Boolean flag with 'false', and then remove 'else' blocks.

git

2016-12-30 12:54

administrator   ~0062366

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: d6efe55d9f4f5f2528f8a3b1c08e0d81b635cb41

ifv

2016-12-30 12:55

developer   ~0062367

Branch is updated

msv

2016-12-30 13:14

developer   ~0062369

Reviewed.

mkv

2017-01-09 13:31

tester   ~0062414

Dear ify,
could you please rebase branch CR27531_27650_27651 on current master.

git

2017-01-09 13:37

administrator   ~0062415

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 1b2a7e76ddc1c7f65d7124c1507f30e72a3ffb15

ifv

2017-01-09 13:38

developer   ~0062416

Branch is rebased

mkv

2017-01-10 15:55

tester   ~0062456

Dear BugMaster,
Branch CR27531_2 was rebased on current master of products git-repository.
SHA-1: 0e1587bca3f7c55c5f4fd37531007e578a84a1f3

mkv

2017-01-10 15:56

tester   ~0062457

Dear BugMaster,
Branch CR27531_27650_27651 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 1b2a7e76ddc1c7f65d7124c1507f30e72a3ffb15

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html
bugs modalg_6 bug27531: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93914951 / 92862791 [+1.13%]
Total CPU difference: 21339.55000000015 / 21498.7600000003 [-0.74%]
products component :
Total MEMORY difference: 30359783 / 30395462 [-0.12%]
Total CPU difference: 5339.619999999964 / 5312.789999999971 [+0.51%]

Testing on Windows:
occt component :
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html
bugs modalg_2 bug453_2: 1.5288098 / 0.8580055 [+78.18%]

Total MEMORY difference: 58654070 / 58649007 [+0.01%]
Total CPU difference: 19259.867859898593 / 19749.742200098677 [-2.48%]
products component :
Total MEMORY difference: 21154383 / 21118126 [+0.17%]
Total CPU difference: 5185.800842099972 / 5256.094892699988 [-1.34%]

There are following differences in images found by testdiff.
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Debian70-64/diff-Debian70-64.html
http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
IMAGE chamfer dist_angle_sequence B3: B3.png differs
IMAGE sewing tol_0_01 F8: F8.png differs
IMAGE sewing tol_100 J3: J3.png differs
IMAGE sewing tol_100 D3: D3.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 I6: I6.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_100 J5: J5.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 I5: I5.png differs
IMAGE sewing tol_100 J4: J4.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE bugs modalg_6 bug26288: bug26288.png differs

mkv

2017-01-10 15:56

tester   ~0062458

Dear ifv,
Branch CR27531_27650_27651 has been rejected due to:
- CPU problems

ifv

2017-01-12 15:24

developer   ~0062537

Dear bugmaster, I cannot reproduce such large increasing of performance, please retest bugs modalg_6 bug27531 or check reference data for this test.

mkv

2017-01-13 17:27

tester   ~0062587

Dear ifv,
Branch CR27531_27650_27651 has been rejected due to:
- CPU problems for test case bugs/modalg_2/bug453_2 :


http://occt-tests/CR27531_0_1-CR27531_2-OCCT/Windows-64-VC10-cpu/diff-Windows-64-VC10-cpu.html [^]
CPU bugs modalg_2 bug453_2: 1.56001 / 0.8580055 [+81.82%]


apv

2017-03-03 16:24

tester   ~0064107

Testing results are out of date and will be removed soon.

git

2017-06-29 11:03

administrator   ~0067799

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 5886ae86a3e9b430a8129f525eb65dd682782c9e

ifv

2017-06-29 11:06

developer   ~0067800

Branch CR27531_27650_27651 has been updated.

git

2017-06-30 14:45

administrator   ~0067832

Branch CR27531_27650_27651 has been updated forcibly by apv.

SHA-1: f72ecb27c5645e2ca15e585d7257b4c12fbccf54

apv

2017-06-30 14:47

tester   ~0067834

Branches CR27531_27650_27651 from occt git-repository and CR27531_2 from products git-repository have been rebased on the current masters.

apv

2017-07-03 11:42

tester   ~0067931

Dear BugMaster,

Branch CR27531_27650_27651 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: f72ecb27c5645e2ca15e585d7257b4c12fbccf54
SHA-1: a55ab9994c7a8719167cf0b692a9c97cbad816b3

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1209

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug27531 - OK
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html

CPU-problematic test case has been detected:
CPU perf modalg bug453_2: 1.5444099 / 0.9204059 [+67.80%]
Relaunch result is following:
CPU perf modalg: 1.4820095 / 0.9204059 [+61.02%]

Testing on Linux:
occt component:
Total MEMORY difference: 92200485 / 92163990 [+0.04%]
Total CPU difference: 18971.790000000186 / 18926.030000000348 [+0.24%]
products component:
Total MEMORY difference: 37526722 / 37533520 [-0.02%]
Total CPU difference: 6439.530000000079 / 6405.870000000062 [+0.53%]

Testing on Windows:
occt component:
Total MEMORY difference: 58847598 / 58850236 [-0.00%]
Total CPU difference: 17441.14580149868 / 17597.770805498705 [-0.89%]
products component:
Total MEMORY difference: 27836610 / 27837358 [-0.00%]
Total CPU difference: 6499.750464800036 / 6587.376226500077 [-1.33%]

There are differences in images found by testdiff:
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Debian70-64/diff-Debian70-64-image.html
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
chamfer dist_angle_sequence B3
sewing tol_0_01 F8
sewing tol_100 J3
sewing tol_100 D3
sewing tol_100 J2
sewing tol_100 I6
sewing tol_100 J6
sewing tol_100 I9
sewing tol_100 C5
sewing tol_100 K1
sewing tol_100 J5
sewing tol_100 Y7
sewing tol_100 I5
sewing tol_100 J4
sewing tol_100 J1
bugs modalg_6 bug26288

apv

2017-07-03 11:44

tester   ~0067932

Dear ifv,

Branches CR27531_27650_27651 from occt git-repository and CR27531_2 from product git-repository have been rejected due to:
- CPU problems

git

2017-07-11 16:55

administrator   ~0068188

Branch CR27531_test_perf has been created by ifv.

SHA-1: 5886ae86a3e9b430a8129f525eb65dd682782c9e


Detailed log of new commits:

Author: aml
Date: Tue May 31 10:52:07 2016 +0300

    0027531_0027650_0027651: Make the algorithm Approx_SameParameter more clear and robust
    
    Commit for 0027531
    
    Class Approx_SameParameter refactoring. Logic is changed in many places to unify usage, simplify maintenance.
    Method Curve2d() is changed to return Geom2d_Curve instead of Geom2d_BSplineCurve. Corresponding message is added to the upgrade guide.
    .lxx file is merged into .hxx.
    
    Commit for 0027650: Fix for regression blend simple H4
    
    Comparing number of sample points after CheckSameParameter(...) is added to define cases with projection fails.
    
    Commit for 0027651
    
    Preliminary analysis of "sameparameter" error is added for edge. If error is large, "bad" pcurve is replaced by projected curve.
    
    Catching of exception in method BRep_Tool::Parameter is added in method BRepOffset_Inter2d::FuseVertices. This is protection against bad cases when an edge has very big tolerance, and not relevant vertices hit in its descendants.
    Protection against creation invalid arrays (upper boundary = 0) is added in classes IntPatch_ALineToWLine.cxx and
    RWStepBasic/RWStepBasic_RWPerson.cxx
    Test cases are updated.

git

2017-07-11 16:57

administrator   ~0068189

Branch CR27531_test_perf has been updated by ifv.

SHA-1: 4024c393679555ac45154e7a909e451ea9f7a9c3


Detailed log of new commits:

Author: ifv
Date: Tue Jul 11 16:56:31 2017 +0300

    Test perf

git

2017-07-18 14:57

administrator   ~0068408

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: a68f4e038daf79c67af380bf6ce31dbaa1d079a5

ifv

2017-07-18 14:59

developer   ~0068409

Branch CR27531_27650_27651 is updated to fix performance issue.

mkv

2017-07-19 13:30

tester   ~0068426

Dear BugMaster,
Branch CR27531_27650_27651 from occt git-repository (and CR27531_2 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a68f4e038daf79c67af380bf6ce31dbaa1d079a5
SHA-1: 60871633211aa36c9bd719e2a15c4b6c48b8ac28

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 10 (10 on master)
Windows: 0 (0 on master)
MacOS : 26 (28 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Debian70-64/summary.html
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Windows-64-VC10/summary.html
Improvements:
  perf moddata bug453_3
Failed:
  perf modalg bug453_2

Testing cases:
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Debian70-64/bugs/modalg_6/bug27531.html
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Windows-64-VC10/bugs/modalg_6/bug27531.html
bugs modalg_6 bug27531: OK

Testing on Linux:
occt component :
Total CPU difference: 19148.000000000113 / 19401.700000000146 [-1.31%]
Total MEMORY difference: 92512598 / 92490288 [+0.02%]
products component :
Total CPU difference: 6476.790000000054 / 6549.0400000000745 [-1.10%]
Total MEMORY difference: 38108729 / 38042393 [+0.17%]
Testing on Windows:
occt component :
Total CPU difference: 17984.90288709854 / 17787.76442339872 [+1.11%]
Total MEMORY difference: 59105190 / 59108328 [-0.01%]
products component :
Total CPU difference: 6792.907544000063 / 6684.861251400067 [+1.62%]
Total MEMORY difference: 28819701 / 28820451 [-0.00%]

There are following differences in images found by testdiff.
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Debian70-64/diff-Debian70-64-image.html
http://occt-tests/CR27531_27650_27651-CR27531_2-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html
IMAGE chamfer dist_angle_sequence B3: B3.png differs
IMAGE perf moddata bug453_3: bug453_3.png differs
IMAGE sewing tol_0_01 F8: F8.png differs
IMAGE sewing tol_100 J3: J3.png differs
IMAGE sewing tol_100 D3: D3.png differs
IMAGE sewing tol_100 J2: J2.png differs
IMAGE sewing tol_100 I6: I6.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 I9: I9.png differs
IMAGE sewing tol_100 C5: C5.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_100 J5: J5.png differs
IMAGE sewing tol_100 Y7: Y7.png differs
IMAGE sewing tol_100 I5: I5.png differs
IMAGE sewing tol_100 J4: J4.png differs
IMAGE sewing tol_100 J1: J1.png differs
IMAGE bugs modalg_6 bug26288: bug26288.png differs

mkv

2017-07-19 13:30

tester   ~0068427

Dear ifv,
Branch CR27531_27650_27651 has been rejected due to:
- regressions/differences/improvements
- differences in images

git

2017-09-29 14:45

administrator   ~0070985

Branch CR27531_1 has been updated forcibly by ifv.

SHA-1: fcd1c2fa1a28c2d656e5f1fc8973f1c8c6d99665

git

2017-12-25 17:26

administrator   ~0073122

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 0a40e81d12a2cf325831f33bc7b51ee66ee88ef5

git

2017-12-29 11:52

administrator   ~0073189

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: fa6a1d4f531336d452388a1fb7c2d29aa38a23d8

git

2018-01-09 15:53

administrator   ~0073271

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 3aebadeda1784f9054401d4831fef4030126b815

git

2018-01-11 16:09

administrator   ~0073359

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 6c381647f5a04f3043c22f27b6f54677b49deb03

git

2018-01-18 16:36

administrator   ~0073494

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 853ae035cf5f3940c60aa04fe382c3df7df082df

git

2018-01-19 17:36

administrator   ~0073540

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 9608b1f8579a000add8e6d2dfd98924c22e2c95c

git

2018-01-26 14:06

administrator   ~0073611

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 0af8078737ee7269994418df8cec483d8c0506e5

git

2018-01-26 17:15

administrator   ~0073617

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 1096f5d24f61f62d5b31e82f262c9bc6283fd350

git

2018-02-27 09:58

administrator   ~0074146

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 73d69f6ee4324dc6559b0cacd28200b2cf13c18f

git

2018-03-13 14:22

administrator   ~0074429

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: c2042bfa595d78d11af73782bd1d32ee52e6074b

git

2018-03-16 16:02

administrator   ~0074553

Branch CR27531_27650_27651 has been updated by ifv.

SHA-1: 5f60216209cfa71b3d82c9240cafdf98056bfe1c


Detailed log of new commits:

Author: ifv
Date: Fri Mar 16 16:00:37 2018 +0300

    Commit to fix bugs modalg_7 bug28151

git

2018-04-10 16:12

administrator   ~0075276

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 1545c78062983a9ce760c4c4b24eb91dccaf6675

git

2018-04-20 17:02

administrator   ~0075577

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: b2323aa3a72b056323adb4fb44cbac7ff6a94b39

git

2018-04-24 14:28

administrator   ~0075651

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: ff88ba857c1db503f704360821607b021d6783a8

git

2018-04-26 16:26

administrator   ~0075697

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 1dd087291d55f3786284105d3fc1c77c962173a8

git

2018-04-27 11:57

administrator   ~0075710

Branch CR27531_27650_27651 has been deleted by ifv.

SHA-1: 1dd087291d55f3786284105d3fc1c77c962173a8

git

2018-04-27 12:46

administrator   ~0075714

Branch CR27531_27650_27651 has been created by ifv.

SHA-1: eb3857e1218d67c5bef6e947e574cbd74c193f86


Detailed log of new commits:

Author: aml
Date: Tue May 31 10:52:07 2016 +0300

    0027531_0027650_0027651: Make the algorithm Approx_SameParameter more clear and robust
    
    Commit for 0027531
    
    Class Approx_SameParameter refactoring. Logic is changed in many places to unify usage, simplify maintenance.
    Method Curve2d() is changed to return Geom2d_Curve instead of Geom2d_BSplineCurve. Corresponding message is added to the upgrade guide.
    .lxx file is merged into .hxx.
    
    Commit for 0027650: Fix for regression blend simple H4
    
    Comparing number of sample points after CheckSameParameter(...) is added to define cases with projection fails.
    
    Commit for 0027651
    
    Preliminary analysis of "sameparameter" error is added for edge. If error is large, "bad" pcurve is replaced by projected curve.
    
    Catching of exception in method BRep_Tool::Parameter is added in method BRepOffset_Inter2d::FuseVertices. This is protection against bad cases when an edge has very big tolerance, and not relevant vertices hit in its descendants.
    Protection against creation invalid arrays (upper boundary = 0) is added in class RWStepBasic/RWStepBasic_RWPerson.cxx
    Test cases are updated.

git

2018-04-27 13:00

administrator   ~0075715

Branch CR27531_27650_27651 has been updated forcibly by ifv.

SHA-1: 8370415ba0ca5fcc55bf427ddd8e0f92cdb062b2

ifv

2018-05-03 11:45

developer   ~0075772

Branches CR27531_27650_27651 & CR27531-p
are ready for review
Test results: CR27531-CR27531-p-IFV

msv

2018-05-08 11:08

developer   ~0075869

src/Approx/Approx_SameParameter.hxx
- Missing description of the methods IsDone(), TolReached()

src/Approx/Approx_SameParameter.cxx
- 620: incorrect comment
- 136-137: replace with vector = gp_Vec(a_point, APoint).
- 376: If there are problems with projection, why myDone = true? What is the meaning of Done(), there is no description in the header.
- 806: why exception is thrown instead of finishing the algorithm with myDone = false?
- 873,927: these printouts are not of interest during general work of OCCT.

src/BRepBuilderAPI/BRepBuilderAPI_Sewing.cxx
- The method ComputeTol is a copy-paste of the method ComputeTolReached from Approx_SameParameter.cxx, with a modification in the value of aMult constant. Is this modification intentional? I propose to create the new public static method in GeomLib (there the method EvalMaxDistanceAlongParameter has a similar meaning).
- 198,223: why interpolated parameter is multiplied by r=1/(nbp-1)?
- The patch for projecting curve looks like a work around for a very specific case. I propose to remove from the overal patch the fix for the bug 27651. GKA will fix it in scope of another bug. Which test cases will be affected if we remove this fix from the patch?

src/BRepOffset/BRepOffset_Inter2d.cxx
- It seems like somewhere in earlier code there is a bug, and here is a workaround. It is better to find and eliminate the cause of inconsistence of data structure.

src/ChFi3d/ChFi3d_Builder_CnCrn.cxx
- What for is this change? There is no explanation nor in comments nor in commit message.

tests/boolean/bopcut_complex/N2
- this change looks not needed

msv

2018-05-08 12:29

developer   ~0075872

Also, please update upgrade guide on the subject of changing the method Approx_SameParameter::Curve2d().

git

2019-05-31 16:37

administrator   ~0084738

Branch CR27531_3 has been created by ifv.

SHA-1: ddf6030d21bdb7442d76029d92b328c1de8b3fb1


Detailed log of new commits:

Author: ifv
Date: Fri May 31 16:36:44 2019 +0300

    0027531: Modeling Algorithms - Make the algorithm Approx_SameParameter more clear and robust

git

2019-06-24 11:32

administrator   ~0085245

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 9f14eb110c1131ea44aeb9d6971fc07700c451eb

git

2019-06-24 15:34

administrator   ~0085263

Branch CR27531_4 has been created by ifv.

SHA-1: c5133331c06f15adc51afebbda4caf0050e319a1


Detailed log of new commits:

Author: ifv
Date: Fri May 25 15:21:04 2018 +0300

    0027651: Add projection support in sewing pcurves handling
    
    1. BRepLib.hxx, BRepLib_1.cxx - implementation of method SetPCurve(...), which can build new pcurve by projection, if pcurve to be set is not satisfied by tolerance criterium.
    
    2. BRepBuilderAPI_Sewing.cxx - modification of method SameParameterEdge(...) using new method SetPCurve(...)
    
    3. BRepTest/BRepTest_BasicCommands.cxx - implementation Draw command SetPCurve
    
    4. Approx_ComputeCLine.gxx, BRepOffsetAPI_DraftAngle.cxx, ProjLib_ProjectedCurve.cxx - small modification to fix regression.
    
    5. Modification of tests according to current behavior of sewing algorithm.

git

2019-06-28 16:49

administrator   ~0085357

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 156e2cbfc709ece603a1810aefd1c47bfbf3e4b5

git

2019-07-02 16:20

administrator   ~0085380

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 984aca24af59b7ad8aecd74af9f74a77a1aab631

git

2019-07-04 11:06

administrator   ~0085418

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: a325b21572cfc2af748d277fb664273653a464e6

git

2019-10-02 10:50

administrator   ~0087685

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 69f5db45d56ac41355ea54b242855d7b2e0ab52c

git

2019-10-04 17:16

administrator   ~0087831

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 11aaf1dbfe3409bbfa1e7c93f2feb1feeea26c52

git

2019-10-18 12:08

administrator   ~0088296

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 6c8b9bb3aba457f2e88bf21327f60218633f2a2d

git

2019-12-23 15:09

administrator   ~0089712

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 14963a877911df90650fd075c9fd066850a5893f

git

2020-01-23 14:24

administrator   ~0090016

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 7ef449c724431f5f88a01d3fabb444be3e9c5e59

git

2020-01-27 17:45

administrator   ~0090078

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 55f707cd94eb8aee16d9338006e48cf8a745f009

git

2020-01-30 17:45

administrator   ~0090209

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 4afb824537de41ac35125738e7f6a7b1510ba13a

git

2020-02-06 17:54

administrator   ~0090362

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 59ae32d4b67848a44d51878c7f08408612692281

git

2020-02-10 16:07

administrator   ~0090459

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: f68deff91ca5dd20e5837fa1940570b449e51a99

git

2020-02-14 13:54

administrator   ~0090522

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 797ef74d057b457bfe8df44b3fd4f7e53513e0f6

ifv

2020-02-17 09:51

developer   ~0090567

Branches CR27531_3 for OCCT and CR27531_3 for PRODUCTS are ready for review

ifv

2020-02-17 09:52

developer   ~0090568

Test results are CR27531-master-IFV

msv

2020-03-02 21:09

developer   ~0090782

src/Approx/Approx_SameParameter.hxx
- Please add description of the methods IsDone(), TolReached()

src/Approx/Approx_SameParameter.cxx
- 623: incorrect comment
- In the method Build not all return points set myDone.
- 809: why exception is thrown instead of finishing the algorithm with myDone = false?

src/Adaptor3d/Adaptor3d_TopolTool.cxx
- 936: myMaxPnts is not a field member, rename it.

Update upgrade guide on the subject of changing the type of returned value of the method Approx_SameParameter::Curve2d().

In commit message, please describe something more than simple phrase "base modifications".

git

2020-03-03 15:14

administrator   ~0090794

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: d1921a88168219abc48179bb9a37997a47b4744d

ifv

2020-03-03 17:27

developer   ~0090801

OCCT branch CR531_3 and PRODUCTS branch CR531_3 are ready for review

kgv

2020-03-04 13:58

developer   ~0090811

-Upgrade from older OCCT versions  {#occt_dev_guides__upgrade}
+\feffUpgrade from older OCCT versions  {#occt_dev_guides__upgrade}

Please revert adding unexpected BOM from the patch.

+    Standard_Real *myPC2d; //! Parameters on 2d curve.
...
+    Standard_Real myC2dPL; // Curve 2d Parameter Last.

nit: this is a broken Doxygen syntax - it should be //!<, otherwise comments will be passed to the next item. As this is internal structure, this is probably not important.

git

2020-03-04 15:53

administrator   ~0090813

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: f6c7cafc7da1a21b91c4ab9186d5dfa006c12772

ifv

2020-03-04 16:10

developer   ~0090814

Approx_SameParameter.hxx is modified

git

2020-03-04 16:26

administrator   ~0090815

Branch CR27531_3 has been updated forcibly by ifv.

SHA-1: 22e25d0c641f4f10771bc3f5248071f3167a052f

git

2020-03-04 17:08

administrator   ~0090816

Branch CR27531_3 has been updated by kgv.

SHA-1: 8dbdcb264178fd6f501b65d51ee0fb9367484013


Detailed log of new commits:

Author: kgv
Date: Wed Mar 4 17:08:45 2020 +0300

    # remove BOM

bugmaster

2020-03-06 15:59

administrator   ~0090856

Tested in framework of WEEK-10

Combination -
OCCT branch : WEEK-10
master SHA - 97adcae4610c0fbe09dddc5a7b120f0227471ca1
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : WEEK-10 SHA - 10286c99a81b68a5d57e6064439853b48dac1f6d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16663.16000000014 / 17013.19000000002 [-2.06%]
Products
Total CPU difference: 11265.660000000078 / 12597.180000000119 [-10.57%]
Windows-64-VC14:
OCCT
Total CPU difference: 18045.28125 / 18458.609375 [-2.24%]
Products
Total CPU difference: 13043.75 / 14566.953125 [-10.46%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-03-08 11:32

administrator   ~0090864

Branch CR27531_3 has been deleted by inv.

SHA-1: 8dbdcb264178fd6f501b65d51ee0fb9367484013

git

2020-03-08 11:32

administrator   ~0090867

Branch CR27531_4 has been deleted by inv.

SHA-1: c5133331c06f15adc51afebbda4caf0050e319a1

git

2020-03-08 11:32

administrator   ~0090868

Branch CR27531_1 has been deleted by inv.

SHA-1: fcd1c2fa1a28c2d656e5f1fc8973f1c8c6d99665

git

2020-03-08 11:32

administrator   ~0090869

Branch CR27531_test_perf has been deleted by inv.

SHA-1: 4024c393679555ac45154e7a909e451ea9f7a9c3

git

2020-03-08 11:32

administrator   ~0090870

Branch CR27531_2 has been deleted by inv.

SHA-1: b63d3e4c1b16a00e87932c1e47081e16c63ce3eb

git

2020-09-20 11:14

administrator   ~0095142

Branch CR27531_27650_27651 has been deleted by inv.

SHA-1: 8370415ba0ca5fcc55bf427ddd8e0f92cdb062b2

Related Changesets

occt: master fffc249f

2019-05-31 13:36:44

ifv


Committer: bugmaster Details Diff
0027531: Modeling Algorithms - Make the algorithm Approx_SameParameter more clear and robust

Approx/Approx_SameParameter.cxx,hxx:
Class Approx_SameParameter refactoring. Logic is changed in many places to unify usage, simplify maintenance.
Method Curve2d() is changed to return Geom2d_Curve instead of Geom2d_BSplineCurve. Corresponding message is added to the upgrade guide.
.lxx file is merged into .hxx.
Tangent computation is extracted into special method.
Comparing number of sample points after CheckSameParameter(...) is added to define cases with projection fails.
Undesirable behavior when curves are not same parameterized is fixed.

Geom2dAdaptor/Geom2dAdaptor.cxx: treatment of offset curve is added

Adaptor3d/Adaptor3d_TopolTool.cxx: minor improvement of performance for BSpline surfaces with huge number of knots

Tests were modified according to new behavior of sameparameter algorithm
Affected Issues
0027531
mod - src/Adaptor3d/Adaptor3d_TopolTool.cxx Diff File
mod - src/Approx/Approx_SameParameter.cxx Diff File
mod - src/Approx/Approx_SameParameter.hxx Diff File
rm - src/Approx/Approx_SameParameter.lxx Diff File
mod - src/Approx/FILES Diff File
mod - src/Geom2dAdaptor/Geom2dAdaptor.cxx Diff File
mod - tests/blend/simple/X4 Diff File
mod - tests/bugs/iges/bug306 Diff File
mod - tests/bugs/modalg_1/buc60905 Diff File
mod - tests/bugs/modalg_2/bug22770_10 Diff File
mod - tests/bugs/modalg_2/bug22770_11 Diff File
mod - tests/bugs/modalg_2/bug22770_13 Diff File
mod - tests/bugs/modalg_2/bug22770_15 Diff File
mod - tests/bugs/modalg_2/bug22770_18 Diff File
mod - tests/bugs/modalg_2/bug22770_20 Diff File
mod - tests/bugs/modalg_2/bug22770_23 Diff File
mod - tests/bugs/modalg_2/bug22770_24 Diff File
mod - tests/bugs/modalg_2/bug22770_25 Diff File
mod - tests/bugs/modalg_2/bug22770_26 Diff File
mod - tests/bugs/modalg_2/bug22770_27 Diff File
mod - tests/bugs/modalg_2/bug22770_28 Diff File
mod - tests/bugs/modalg_2/bug22770_3 Diff File
mod - tests/bugs/modalg_2/bug22770_30 Diff File
mod - tests/bugs/modalg_2/bug22770_5 Diff File
mod - tests/bugs/modalg_2/bug22770_8 Diff File
mod - tests/bugs/modalg_2/bug22770_9 Diff File
mod - tests/bugs/modalg_2/bug22804 Diff File
mod - tests/bugs/modalg_4/bug714 Diff File
mod - tests/bugs/modalg_5/bug25175 Diff File
mod - tests/bugs/modalg_6/bug27015 Diff File
mod - tests/bugs/modalg_7/bug29663 Diff File
mod - tests/bugs/moddata_2/bug343 Diff File
mod - tests/bugs/moddata_2/bug42 Diff File
mod - tests/bugs/xde/bug6491 Diff File
mod - tests/de/step_1/ZH1 Diff File
mod - tests/heal/data/advanced/K2 Diff File
mod - tests/heal/data/advanced/V2 Diff File
mod - tests/heal/surface_to_revolution_advanced/end Diff File
mod - tests/hlr/poly_hlr/Plate Diff File
mod - tests/mkface/after_extsurf_and_offset/B3 Diff File
mod - tests/mkface/after_extsurf_and_offset/C6 Diff File
mod - tests/mkface/after_extsurf_and_offset/C7 Diff File
mod - tests/mkface/after_extsurf_and_offset/C8 Diff File
mod - tests/mkface/after_extsurf_and_offset/C9 Diff File
mod - tests/offset/with_intersect_80/L6 Diff File
mod - tests/offset/with_intersect_80/N7 Diff File
mod - tests/sewing/tol_0_01/F1 Diff File
mod - tests/sewing/tol_0_01/F8 Diff File
mod - tests/sewing/tol_1/S5 Diff File
mod - tests/sewing/tol_100/C5 Diff File
mod - tests/sewing/tol_100/D3 Diff File
mod - tests/sewing/tol_100/I6 Diff File
mod - tests/sewing/tol_100/I9 Diff File
mod - tests/sewing/tol_100/J1 Diff File
mod - tests/sewing/tol_100/J2 Diff File
mod - tests/sewing/tol_100/J3 Diff File
mod - tests/sewing/tol_100/J5 Diff File
mod - tests/sewing/tol_100/J6 Diff File
mod - tests/sewing/tol_100/K1 Diff File
mod - tests/sewing/tol_100/K3 Diff File
mod - tests/sewing/tol_100/T8 Diff File
mod - tests/sewing/tol_100/U1 Diff File
mod - tests/sewing/tol_100/Y7 Diff File

Issue History

Date Modified Username Field Change
2016-05-23 11:44 aml New Issue
2016-05-23 11:44 aml Assigned To => msv
2016-05-23 12:12 aml Relationship added related to 0027015
2016-05-23 12:13 aml Description Updated
2016-05-23 12:53 aml Summary Approx_SameParameter algorithm logic is not robust => Make the algorithm Approx_SameParameter more clear and robust
2016-05-23 13:03 msv Assigned To msv => aml
2016-05-23 13:03 msv Priority normal => low
2016-05-23 13:03 msv Status new => assigned
2016-05-23 13:05 aml Steps to Reproduce Updated
2016-06-01 10:24 git Note Added: 0054588
2016-06-01 15:20 git Note Added: 0054601
2016-06-03 14:15 git Note Added: 0054685
2016-06-08 10:27 git Note Added: 0054783
2016-06-10 11:32 git Note Added: 0054879
2016-06-10 13:24 aml File Added: bug27531.brep
2016-06-10 14:31 git Note Added: 0054900
2016-06-15 15:54 git Note Added: 0055032
2016-06-27 14:29 git Note Added: 0055493
2016-06-28 10:44 aml Relationship added parent of 0027650
2016-06-28 10:51 aml Relationship added parent of 0027651
2016-06-28 10:53 git Note Added: 0055525
2016-06-28 11:03 git Note Added: 0055527
2016-06-28 11:05 git Note Added: 0055528
2016-06-28 11:24 aml Note Added: 0055530
2016-06-28 11:24 aml Assigned To aml => msv
2016-06-28 11:24 aml Status assigned => resolved
2016-06-28 19:41 msv Note Added: 0055558
2016-06-28 19:41 msv Assigned To msv => aml
2016-06-28 19:41 msv Status resolved => assigned
2016-06-29 07:31 git Note Added: 0055562
2016-06-29 07:39 git Note Added: 0055563
2016-06-29 07:43 aml Note Added: 0055565
2016-06-29 07:43 aml Assigned To aml => msv
2016-06-29 07:43 aml Status assigned => resolved
2016-06-29 09:53 aml Relationship added related to 0023127
2016-06-29 09:58 msv Note Added: 0055567
2016-06-29 09:58 msv Assigned To msv => bugmaster
2016-06-29 09:58 msv Status resolved => reviewed
2016-06-29 13:01 mkv Assigned To bugmaster => mkv
2016-06-29 19:51 mkv Note Added: 0055593
2016-06-29 19:52 mkv Note Added: 0055594
2016-06-29 19:52 mkv Assigned To mkv => aml
2016-06-29 19:52 mkv Status reviewed => assigned
2016-06-29 19:52 mkv Test case number => bugs modalg_6 bug27531
2016-06-30 07:03 git Note Added: 0055597
2016-06-30 07:08 aml Note Added: 0055598
2016-06-30 07:08 aml Assigned To aml => msv
2016-06-30 07:08 aml Status assigned => resolved
2016-06-30 07:09 aml Note Edited: 0055598
2016-06-30 10:12 msv Note Added: 0055600
2016-06-30 10:12 msv Assigned To msv => bugmaster
2016-06-30 10:12 msv Status resolved => reviewed
2016-06-30 12:57 mkv Assigned To bugmaster => mkv
2016-06-30 17:16 mkv Note Added: 0055617
2016-06-30 17:17 mkv Note Added: 0055618
2016-06-30 17:17 mkv Assigned To mkv => aml
2016-06-30 17:17 mkv Status reviewed => assigned
2016-10-28 16:32 msv Target Version 7.1.0 => 7.2.0
2016-11-18 11:07 git Note Added: 0060512
2016-11-18 11:09 ifv Assigned To aml => ifv
2016-11-18 11:13 ifv Note Added: 0060515
2016-11-18 11:13 ifv Assigned To ifv => msv
2016-11-18 11:13 ifv Status assigned => resolved
2016-11-18 11:28 abv Note Added: 0060517
2016-11-18 15:46 msv Note Added: 0060539
2016-11-18 15:47 msv Assigned To msv => ifv
2016-11-18 15:47 msv Status resolved => assigned
2016-11-23 10:37 git Note Added: 0060705
2016-11-23 10:42 ifv Note Added: 0060706
2016-11-23 10:42 ifv Assigned To ifv => msv
2016-11-23 10:42 ifv Status assigned => resolved
2016-11-23 16:42 msv Note Added: 0060735
2016-11-24 12:00 msv Assigned To msv => ifv
2016-11-24 12:00 msv Status resolved => assigned
2016-11-25 11:22 git Note Added: 0060771
2016-11-25 11:26 ifv Note Added: 0060772
2016-11-25 11:26 ifv Assigned To ifv => msv
2016-11-25 11:26 ifv Status assigned => resolved
2016-11-25 15:28 msv Note Added: 0060777
2016-11-25 15:28 msv Assigned To msv => bugmaster
2016-11-25 15:28 msv Status resolved => reviewed
2016-11-25 17:46 git Note Added: 0060783
2016-11-25 18:03 mkv Assigned To bugmaster => mkv
2016-11-28 17:04 mkv Note Added: 0060819
2016-11-28 17:05 mkv Note Added: 0060820
2016-11-28 17:05 mkv Note Added: 0060821
2016-11-28 17:05 mkv Assigned To mkv => ifv
2016-11-28 17:05 mkv Status reviewed => assigned
2016-12-15 13:15 git Note Added: 0061694
2016-12-15 13:24 ifv Note Added: 0061696
2016-12-15 13:24 ifv Assigned To ifv => msv
2016-12-15 13:24 ifv Status assigned => resolved
2016-12-16 15:59 git Note Added: 0061741
2016-12-16 16:01 msv Note Added: 0061742
2016-12-16 16:01 msv Assigned To msv => bugmaster
2016-12-16 16:01 msv Status resolved => reviewed
2016-12-16 16:54 mkv Assigned To bugmaster => mkv
2016-12-16 17:49 git Note Added: 0061759
2016-12-16 17:50 msv Note Added: 0061760
2016-12-20 16:04 mkv Note Added: 0061922
2016-12-20 16:04 mkv Note Added: 0061923
2016-12-20 16:06 mkv Note Added: 0061924
2016-12-20 16:06 mkv Assigned To mkv => msv
2016-12-20 16:06 mkv Status reviewed => assigned
2016-12-20 16:07 mkv Note Edited: 0061924
2016-12-20 16:07 mkv Assigned To msv => ifv
2016-12-28 14:52 git Note Added: 0062252
2016-12-28 15:05 git Note Added: 0062254
2016-12-28 15:08 git Note Added: 0062255
2016-12-28 16:30 git Note Added: 0062266
2016-12-30 09:02 git Note Added: 0062350
2016-12-30 09:07 ifv Note Added: 0062351
2016-12-30 09:07 ifv Assigned To ifv => msv
2016-12-30 09:07 ifv Status assigned => resolved
2016-12-30 11:18 msv Note Added: 0062357
2016-12-30 11:18 msv Assigned To msv => ifv
2016-12-30 11:18 msv Status resolved => assigned
2016-12-30 11:42 git Note Added: 0062360
2016-12-30 11:42 ifv Note Added: 0062362
2016-12-30 11:42 ifv Assigned To ifv => msv
2016-12-30 11:42 ifv Status assigned => resolved
2016-12-30 12:41 msv Note Added: 0062364
2016-12-30 12:41 msv Status resolved => assigned
2016-12-30 12:42 msv Assigned To msv => ifv
2016-12-30 12:54 git Note Added: 0062366
2016-12-30 12:55 ifv Note Added: 0062367
2016-12-30 12:55 ifv Assigned To ifv => msv
2016-12-30 12:55 ifv Status assigned => resolved
2016-12-30 13:14 msv Note Added: 0062369
2016-12-30 13:14 msv Assigned To msv => bugmaster
2016-12-30 13:14 msv Status resolved => reviewed
2017-01-09 13:00 mkv Assigned To bugmaster => mkv
2017-01-09 13:31 mkv Note Added: 0062414
2017-01-09 13:31 mkv Assigned To mkv => ifv
2017-01-09 13:31 mkv Status reviewed => feedback
2017-01-09 13:37 git Note Added: 0062415
2017-01-09 13:38 ifv Note Added: 0062416
2017-01-09 13:38 ifv Assigned To ifv => mkv
2017-01-09 13:38 ifv Status feedback => resolved
2017-01-09 13:38 ifv Assigned To mkv => bugmaster
2017-01-09 13:38 ifv Status resolved => reviewed
2017-01-09 14:36 mkv Assigned To bugmaster => mkv
2017-01-10 15:55 mkv Note Added: 0062456
2017-01-10 15:56 mkv Note Added: 0062457
2017-01-10 15:56 mkv Note Added: 0062458
2017-01-10 15:56 mkv Assigned To mkv => ifv
2017-01-10 15:56 mkv Status reviewed => feedback
2017-01-12 15:24 ifv Note Added: 0062537
2017-01-12 15:24 ifv Assigned To ifv => bugmaster
2017-01-12 15:24 ifv Status feedback => reviewed
2017-01-12 16:01 mkv Assigned To bugmaster => mkv
2017-01-13 17:27 mkv Note Added: 0062587
2017-01-13 17:27 mkv Assigned To mkv => ifv
2017-01-13 17:27 mkv Status reviewed => assigned
2017-03-03 16:24 apv Note Added: 0064107
2017-06-29 11:03 git Note Added: 0067799
2017-06-29 11:06 ifv Status assigned => resolved
2017-06-29 11:06 ifv Note Added: 0067800
2017-06-29 11:06 ifv Assigned To ifv => bugmaster
2017-06-29 11:06 ifv Status resolved => reviewed
2017-06-29 11:52 apv Assigned To bugmaster => apv
2017-06-30 14:45 git Note Added: 0067832
2017-06-30 14:47 apv Note Added: 0067834
2017-07-03 11:42 apv Note Added: 0067931
2017-07-03 11:42 apv Assigned To apv => ifv
2017-07-03 11:42 apv Status reviewed => assigned
2017-07-03 11:44 apv Note Added: 0067932
2017-07-11 16:55 git Note Added: 0068188
2017-07-11 16:57 git Note Added: 0068189
2017-07-18 14:57 git Note Added: 0068408
2017-07-18 14:58 ifv Status assigned => resolved
2017-07-18 14:59 ifv Note Added: 0068409
2017-07-18 14:59 ifv Assigned To ifv => bugmaster
2017-07-18 14:59 ifv Status resolved => reviewed
2017-07-18 17:06 mkv Assigned To bugmaster => mkv
2017-07-19 13:30 mkv Note Added: 0068426
2017-07-19 13:30 mkv Note Added: 0068427
2017-07-19 13:30 mkv Assigned To mkv => ifv
2017-07-19 13:30 mkv Status reviewed => feedback
2017-07-20 15:47 msv Status feedback => assigned
2017-07-21 19:39 msv Target Version 7.2.0 => 7.3.0
2017-09-29 14:45 git Note Added: 0070985
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0
2017-12-25 17:26 git Note Added: 0073122
2017-12-29 11:52 git Note Added: 0073189
2018-01-09 15:53 git Note Added: 0073271
2018-01-11 16:09 git Note Added: 0073359
2018-01-18 16:36 git Note Added: 0073494
2018-01-19 17:36 git Note Added: 0073540
2018-01-26 14:06 git Note Added: 0073611
2018-01-26 17:15 git Note Added: 0073617
2018-02-27 09:58 git Note Added: 0074146
2018-02-27 16:19 kgv Summary Make the algorithm Approx_SameParameter more clear and robust => Modeling Algorithms - Make the algorithm Approx_SameParameter more clear and robust
2018-03-13 14:22 git Note Added: 0074429
2018-03-16 16:02 git Note Added: 0074553
2018-04-10 16:12 git Note Added: 0075276
2018-04-20 17:02 git Note Added: 0075577
2018-04-24 14:28 git Note Added: 0075651
2018-04-26 16:26 git Note Added: 0075697
2018-04-27 11:57 git Note Added: 0075710
2018-04-27 12:46 git Note Added: 0075714
2018-04-27 13:00 git Note Added: 0075715
2018-05-03 11:45 ifv Note Added: 0075772
2018-05-03 11:45 ifv Assigned To ifv => msv
2018-05-03 11:45 ifv Status assigned => resolved
2018-05-08 11:08 msv Note Added: 0075869
2018-05-08 11:08 msv Assigned To msv => ifv
2018-05-08 11:08 msv Status resolved => assigned
2018-05-08 12:29 msv Note Added: 0075872
2019-05-31 16:37 git Note Added: 0084738
2019-06-24 11:32 git Note Added: 0085245
2019-06-24 15:34 git Note Added: 0085263
2019-06-28 16:49 git Note Added: 0085357
2019-07-02 16:20 git Note Added: 0085380
2019-07-04 11:06 git Note Added: 0085418
2019-08-12 17:46 msv Target Version 7.4.0 => 7.5.0
2019-10-02 10:50 git Note Added: 0087685
2019-10-04 17:16 git Note Added: 0087831
2019-10-18 12:08 git Note Added: 0088296
2019-12-23 15:09 git Note Added: 0089712
2020-01-23 14:24 git Note Added: 0090016
2020-01-27 17:45 git Note Added: 0090078
2020-01-30 17:45 git Note Added: 0090209
2020-02-06 17:54 git Note Added: 0090362
2020-02-10 16:07 git Note Added: 0090459
2020-02-14 13:54 git Note Added: 0090522
2020-02-17 09:51 ifv Note Added: 0090567
2020-02-17 09:51 ifv Assigned To ifv => msv
2020-02-17 09:51 ifv Status assigned => resolved
2020-02-17 09:52 ifv Note Added: 0090568
2020-03-02 21:09 msv Note Added: 0090782
2020-03-02 21:09 msv Assigned To msv => ifv
2020-03-02 21:09 msv Status resolved => assigned
2020-03-03 15:14 git Note Added: 0090794
2020-03-03 17:27 ifv Note Added: 0090801
2020-03-03 17:27 ifv Assigned To ifv => msv
2020-03-03 17:27 ifv Status assigned => resolved
2020-03-04 10:51 msv Assigned To msv => bugmaster
2020-03-04 10:51 msv Status resolved => reviewed
2020-03-04 13:58 kgv Note Added: 0090811
2020-03-04 13:58 kgv Assigned To bugmaster => ifv
2020-03-04 13:58 kgv Status reviewed => assigned
2020-03-04 15:53 git Note Added: 0090813
2020-03-04 16:10 ifv Note Added: 0090814
2020-03-04 16:10 ifv Assigned To ifv => kgv
2020-03-04 16:10 ifv Status assigned => resolved
2020-03-04 16:26 git Note Added: 0090815
2020-03-04 17:08 git Note Added: 0090816
2020-03-04 17:08 kgv Assigned To kgv => msv
2020-03-04 17:57 msv Assigned To msv => bugmaster
2020-03-04 17:57 msv Status resolved => reviewed
2020-03-06 15:59 bugmaster Note Added: 0090856
2020-03-06 15:59 bugmaster Status reviewed => tested
2020-03-07 13:50 bugmaster Changeset attached => occt master fffc249f
2020-03-07 13:50 bugmaster Status tested => verified
2020-03-07 13:50 bugmaster Resolution open => fixed
2020-03-08 11:32 git Note Added: 0090864
2020-03-08 11:32 git Note Added: 0090867
2020-03-08 11:32 git Note Added: 0090868
2020-03-08 11:32 git Note Added: 0090869
2020-03-08 11:32 git Note Added: 0090870
2020-09-20 11:14 git Note Added: 0095142
2020-12-02 16:40 emo Fixed in Version => 7.5.0
2020-12-02 17:11 emo Status verified => closed